﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
    <Style  TargetType="{x:Type TextBlock}"
            x:Key="Animation">
        <Setter Property="RenderTransform">
            <Setter.Value>
                <RotateTransform Angle='0' CenterX="25" CenterY="25"/>
            </Setter.Value>
        </Setter>
        <Style.Triggers>
            <EventTrigger RoutedEvent="MouseLeftButtonUp">
                <BeginStoryboard>
                    <Storyboard>
                        <DoubleAnimation
                                        Storyboard.TargetProperty='RenderTransform.(RotateTransform.Angle)'
                                        From='0.0' To='360' Duration='0:0:5'
                                         />
                        <DoubleAnimation
                                        Storyboard.TargetProperty='Height'
                                        To='150' Duration='0:0:2.5'
                                         />
                        <DoubleAnimation
                                        Storyboard.TargetProperty='Width'
                                        To='150' Duration='0:0:2.5'
                                         />
                        <DoubleAnimation
                                        Storyboard.TargetProperty='Height'
                                        To='50' Duration='0:0:2.5' BeginTime="0:0:2.5"
                                         />
                        <DoubleAnimation
                                        Storyboard.TargetProperty='Width'
                                        To='50' Duration='0:0:2.5' BeginTime="0:0:2.5"
                                         />
                    </Storyboard>
                </BeginStoryboard>
            </EventTrigger>
        </Style.Triggers>
    </Style>
</ResourceDictionary>